List subscribers
List subscribers for a store.
get/tenants/{tenantUid}/stores/{storeUid}/subscribers
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
subscriptionTypestring · enumOptionalPossible values:
Reference to subscription type
tenantUserUidsstring[]Optional
Filter on tenant users
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/subscribers
GET /v2/tenants/{tenantUid}/stores/{storeUid}/subscribers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"subscriberUid": "text",
"subscription": {
"type": "SALES_SUMMARY_REPORT",
"name": "text"
},
"tenantUser": {
"tenantUserUid": "text",
"displayName": "text",
"email": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

